%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-grunt-legacy-log-utils
Version:        0.1.1
Release:        3%{?dist}
Summary:        Static methods for the Grunt 0.4.x logger

License:        MIT
URL:            https://github.com/gruntjs/grunt-legacy-log-utils
Source0:        https://registry.npmjs.org/grunt-legacy-log-utils/-/grunt-legacy-log-utils-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
BuildRequires:  npm(colors)
BuildRequires:  npm(lodash)
BuildRequires:  npm(underscore.string)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%nodejs_fixdep colors ">=0.6.2"
%nodejs_fixdep lodash ">=2.4.1"
%nodejs_fixdep underscore.string ">=2.3.3"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-legacy-log-utils
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/grunt-legacy-log-utils
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/index.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-legacy-log-utils


%changelog
* Mon Nov 30 2015 Troy Dawson <tdawson@redhat.com> -  0.1.1-3
- Fixup dependencies

* Sat Nov 21 2015 Tom Hughes <tom@compton.nu> - 0.1.1-2
- Update npm(colors) dependency

* Sat Nov 21 2015 Tom Hughes <tom@compton.nu> - 0.1.1-1
- Initial build of 0.1.1
